[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinterCanvas.Printer

Device which uses the canvas to print a document.

## Declaration

Source position: printers.pas line 121

`public property TPrinterCanvas.Printer : TPrinter read fPrinter;`

## Description

Printer is a read-only TPrinter property which contains the printer device for the canvas. Printer is used to determine the capabilities selected/enabled for the output device, such as:

Status
  Ready, Printing, Stopped, et. al.
Paper Size
  Printable area is determined by the page dimensions and values in the margin properties.
Resolution
  Number of DPI (Dots per Inch) for the device.

The value for the property is passed as an argument to the Create constructor.

## See also

TPrinter |  | TPrinter defines a printer object used in Lazarus applications.
TPrinterCanvas.Create |  | Constructor for the class instance.